Package groovy.lang

# Interface ClosureInvokingMethod

All Superinterfaces:
  `MetaMember`

All Known Implementing Classes:
  `ClosureMetaMethod`, `ClosureStaticMetaMethod`

public interface ClosureInvokingMethod extends MetaMember
An interface for MetaMethods that invoke closures to implements. Used by ExpandoMetaClass

Since:
  1.5
See Also:
  - `ExpandoMetaClass`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Closure`
  `getClosure()`
  Returns the original closure that this method invokes

  ### Methods inherited from interface groovy.lang.MetaMember

  `getModifiers, getName, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, isSynthetic`

- ## Method Details

  - ### getClosure

    Closure getClosure()
    Returns the original closure that this method invokes
    Returns:
      The closure